API
Reddit API
The AI-powered Reddit provides 360° Global Media Data & Intelligence on Reddit communities, moderators, brand researchers, and community engagement teams.
APIリファレンス バージョン: 1.0.0 3 エンドポイント 認証
ベース URL
https://pressmonitor.com/api 認証
すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/reddit_subreddit Reddit Subreddit
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| subreddit | string | query | はい | Subreddit name |
| limit | integer | query | いいえ | Number of results |
コード例
curl -X GET \
"https://pressmonitor.com/api/reddit_subreddit?subreddit=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/reddit_search Reddit Recherche
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | Search query |
| limit | integer | query | いいえ | Number of results |
コード例
curl -X GET \
"https://pressmonitor.com/api/reddit_search?query=VALUE&limit=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/reddit_user Reddit Utilisateur
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| username | string | query | はい | Username |
コード例
curl -X GET \
"https://pressmonitor.com/api/reddit_user?username=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
